commit: 41c224c69512bafb698599e5b4e34ea6bd4f81ea
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 30 15:28:34 2017 +0000
Commit: Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Sep 30 15:29:54 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41c224c6
dev-python/pyrsistent: Bump
Package-Manager: Portage-2.3.10, Repoman-2.3.3
dev-python/pyrsistent/Manifest | 1 +
dev-python/pyrsistent/pyrsistent-0.13.0.ebuild | 36 ++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/pyrsistent/Manifest b/dev-python/pyrsistent/Manifest
index bf32b52d852..02495ab1d2f 100644
--- a/dev-python/pyrsistent/Manifest
+++ b/dev-python/pyrsistent/Manifest
@@ -1,2 +1,3 @@
DIST pyrsistent-0.12.0.tar.gz 91666 SHA256
37e19cb03435a81507f3096bec2abfbe6a1bb4098f72159d0cd37f6f8394f3cc SHA512
dd0041011cb5aa41d32cfd632e80079a1e0e19f15366c928eabc040a85e9b574dc2d1a87139b150fa8ec42f6955ddffbf6e7bf8bfd9f498a9089632189949853
WHIRLPOOL
b131eaf46a35ec5dd1cdc4818d271f784093faba1d50b67713429c84946811c72cd7d73bec1c5d3a44ac992ca4abbe347bd59155ae94d9703b749cd9f0ec8dd4
DIST pyrsistent-0.12.1.tar.gz 94031 SHA256
59d97c4a1263a4f6dd730b1622c5b89ad80d307aba99f88ac31151465b51da01 SHA512
e8b1e361a50bdd2986b21d21be6a04f065a8a2008ecdb0873b8d3fc2dfcb8f78b8f1644afb7540955008b5fb6b73ca93eb1f487f96ebd0c109f3ca72291e5f6b
WHIRLPOOL
1cbdbf54e3b4e71e0e0049e2c5ed7039b71169eec4f1e4ab258b1641fbf3c9e6db8bbff5d02309c3244f811d3e5816daf87d4183318cecc829f060e04f6c8863
+DIST pyrsistent-0.13.0.tar.gz 96326 SHA256
ede080bd770a6305bac53ac93ef80bbfb19be4c404a9da0593c73f360c9e4107 SHA512
6bfb657841382c4ad402c383cae5092b83e93a3dde0b905f6cb8ca8a50b8acbe0f3241e9cc50cb83892c0d59b13145764faa2a3db1eabecbe6606a35d07bb5ff
WHIRLPOOL
ec828e74e44a31e3deb32e9ef99bf24cf52c947bc1506c6e1ebc6cd08e37a72536aaf15c626f1e36970ac9b72833f7dab207fa4204836e6ec3b308960f15403f
diff --git a/dev-python/pyrsistent/pyrsistent-0.13.0.ebuild
b/dev-python/pyrsistent/pyrsistent-0.13.0.ebuild
new file mode 100644
index 00000000000..17a528298f0
--- /dev/null
+++ b/dev-python/pyrsistent/pyrsistent-0.13.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Persistent/Functional/Immutable data structures"
+HOMEPAGE="https://github.com/tobgu/pyrsistent/
http://pypi.python.org/pypi/pyrsistent"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+# https://github.com/tobgu/pyrsistent/issues/
+# fails
+#RESTRICT="test"
+
+python_test() {
+ export PYTHONPATH="${S}:${PYTHONPATH}"
+ py.test -v -v -x || die ${PYTHONPATH}
+}